summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Marchand <david.marchand@redhat.com>2019-10-08 17:52:29 +0200
committerThomas Monjalon <thomas@monjalon.net>2019-11-28 00:33:58 +0100
commit7a8735e2fd7c72240557703a2106527986267123 (patch)
tree1cf0280fc54d9fe4f8d01812296e8cc86a983dce
parentbd711af366273ddcb78d4a877feac578b7040e81 (diff)
downloaddpdk-next-eventdev-7a8735e2fd7c72240557703a2106527986267123.zip
dpdk-next-eventdev-7a8735e2fd7c72240557703a2106527986267123.tar.gz
dpdk-next-eventdev-7a8735e2fd7c72240557703a2106527986267123.tar.xz
devtools: check coverity and bugzilla tags
Let's try to check for discrepancies in coverity and bugzilla tags. The contributing guide specifies that: - for coverity issues, the tag is 'Coverity issue:' - for bugzilla issues, the tag is 'Bugzilla ID:' Signed-off-by: David Marchand <david.marchand@redhat.com> Acked-by: Kevin Traynor <ktraynor@redhat.com>
-rwxr-xr-xdevtools/check-git-log.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/devtools/check-git-log.sh b/devtools/check-git-log.sh
index a763ccf..f9d0550 100755
--- a/devtools/check-git-log.sh
+++ b/devtools/check-git-log.sh
@@ -161,6 +161,24 @@ bad=$(echo "$tags" |
sed 's,^.,\t&,')
[ -z "$bad" ] || printf "Wrong tag:\n$bad\n"
+# check missing Coverity issue: tag
+bad=$(for commit in $commits; do
+ body=$(git log --format='%b' -1 $commit)
+ echo "$body" | grep -qi coverity || continue
+ echo "$body" | grep -q '^Coverity issue:' && continue
+ git log --format='\t%s' -1 $commit
+done)
+[ -z "$bad" ] || printf "Missing 'Coverity issue:' tag:\n$bad\n"
+
+# check missing Bugzilla ID: tag
+bad=$(for commit in $commits; do
+ body=$(git log --format='%b' -1 $commit)
+ echo "$body" | grep -qi bugzilla || continue
+ echo "$body" | grep -q '^Bugzilla ID:' && continue
+ git log --format='\t%s' -1 $commit
+done)
+[ -z "$bad" ] || printf "Missing 'Bugzilla ID:' tag:\n$bad\n"
+
# check missing Fixes: tag
bad=$(for fix in $fixes ; do
git log --format='%b' -1 $fix | grep -q '^Fixes: ' ||